[arch-commits] Commit in msmtp/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Aug 3 11:57:27 EDT 2008


    Date: Sunday, August 3, 2008 @ 11:57:27
  Author: jgc
Revision: 7656

upgpkg: msmtp 1.4.15-2
    Rebuild for GNUTLS

Modified:
  msmtp/trunk/PKGBUILD

----------+
 PKGBUILD |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-03 15:57:17 UTC (rev 7655)
+++ PKGBUILD	2008-08-03 15:57:27 UTC (rev 7656)
@@ -4,21 +4,21 @@
 
 pkgname=msmtp
 pkgver=1.4.15
-pkgrel=1
+pkgrel=2
 pkgdesc="a mini smtp client"
 arch=(i686 x86_64)
 license=('GPL2')
 url="http://msmtp.sourceforge.net"
-depends=('gnutls>=2.0' 'libidn')
+depends=('gnutls>=2.4.1' 'libidn')
 provides=('smtp-forwarder')
 source=(http://dl.sourceforge.net/sourceforge/msmtp/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('52dfb3039f4253581292eba8285379c1')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc --with-ssl=gnutls
+  ./configure --prefix=/usr --sysconfdir=/etc --with-ssl=gnutls || return 1
   make || return 1
-  make prefix=${startdir}/pkg/usr install
+  make DESTDIR=${startdir}/pkg install || return 1
   # this can not be the default
   #install -Dm644 doc/msmtprc-system.example $startdir/pkg/etc/msmtprc
 }




More information about the arch-commits mailing list